Imports System.Data.SqlClient
Imports System.Xml
Imports System.Text

Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        ' Load value from web.config
        Dim sqlCon As String = System.Configuration.ConfigurationManager.AppSettings("connStr")
        Dim spName As String = System.Configuration.ConfigurationManager.AppSettings("sp_name")

        ' Clear any previous output from the buffer
        Response.Clear()
        Response.ContentType = "text/xml"

        ' XML Declaration Tag
        Dim xml As XmlTextWriter = New XmlTextWriter(Response.OutputStream, Encoding.UTF8)
        xml.WriteStartDocument()

        ' RSS Tag
        xml.WriteStartElement("rss")
        xml.WriteAttributeString("version", "2.0")

        ' The Channel Tag - RSS Feed Details
        xml.WriteStartElement("channel")
        xml.WriteElementString("title", "Test RSS Feed")
        xml.WriteElementString("link", "http://testLink")
        xml.WriteElementString("description", "This is example Feed from SQL Server")
        xml.WriteElementString("copyright", "Copyright 2008. All rights reserved.")

        Try
            Dim reader As SqlDataReader
            Dim cn As New SqlConnection(sqlCon)
            Dim cmd As New SqlCommand(spName, cn)
            cmd.CommandType = CommandType.StoredProcedure

            cn.Open()
            reader = cmd.ExecuteReader()
            While reader.Read()
                xml.WriteStartElement("item")
                xml.WriteElementString("title", reader(1).ToString())
                xml.WriteElementString("description", reader(2).ToString())
                xml.WriteElementString("link", reader(3).ToString())
                xml.WriteElementString("pubDate", reader(4).ToString())
                xml.WriteEndElement()
            End While

            reader.Close()
            cn.Close()
        Catch ex As Exception
            Response.Write(ex.Message)
        End Try

        xml.WriteEndElement()
        xml.WriteEndElement()
        xml.WriteEndDocument()
        xml.Flush()
        xml.Close()
        Response.End()
    End Sub

End Class